import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class EntradaTeclado {
	/*
	 * Lee desde teclado tantos números enteros como indique el parámetro num
	 * Antes muestra un mensaje en pantalla para indicar al usuario la entrada que se requiere
	 * Ese mensaje es el que se pasa en el parámetro msg
	 * Retorna un array de enteros, tantos como se indicó en el parámetro num y en el mismo 
	 * orden en que se teclearon
	 */
	public static int[] readArrayInt(int num, String msg) {
		int[] result = new int[num];
		for (int i = 0; i < num; i++)
			result[i] = readInt(msg);
		return result;
	}


	/*
	 * Lee de teclado un número entero tras mostrar al usuario un mensaje de ayuda
	 * En caso de que el usuario se confunda y teclee algo que no sea un número entero
	 * la ejecución del programa terminará de forma abrupta.
	 */
	public static Integer readInt(String string) {
		BufferedReader kbd = new BufferedReader(new InputStreamReader(System.in));
		try {
			System.out.print(string);
			return Integer.parseInt(kbd.readLine());
		} catch (NumberFormatException nfe) {
			throw new RuntimeException("¡Ten cuidado! Eso que has tecleado no es un número");
		} catch (IOException ioe) {
			throw new RuntimeException("Consulta al profesor");
		}
	}
}